var app = {
    initialize: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        var upEvent = window.PointerEvent ? "pointerup" : ( ( 'ontouchstart' in window ) || window.DocumentTouch && document instanceof DocumentTouch ) ? "touchend" : "mouseup";
        $(document).on(upEvent, ".btn-block", function(e){
            e.preventDefault();
            e.stopPropagation();
            if (currentlyLoading == true) {
                alreadyDownloading();
            } else {
                var parent = $(this);
                if(registered_for_touch_id()){
                    if(parent.hasClass("live_data")){
                        loadingSpinner('on');
                        go('login');
                    }else if(parent.hasClass("offline_data")){
                        loadingSpinner('on');
                        go('saved');
                    }
                    return false;
                }
                showEnterCodeScreen();
                if(parent.hasClass("live_data")){
                    $(".data_mode").val("login")
                }else{
                    $(".data_mode").val("saved");
                }
            }
        });

        $(document).on(upEvent, ".btn.cancel", function(e){
            e.preventDefault();
            hideEnterCodeScreen();
        });

        $(document).on(upEvent, ".sf_links", function(e){
            if($(this).hasClass("enabled")){
                signOut();
                loadPage('register.html');
                e.preventDefault();
            }else{
                e.preventDefault();
            }

        })

        $(document).on(upEvent, ".btn.btn-submit", function(e){
            e.stopPropagation();
            e.preventDefault();

            if (currentlyLoading == true) {
                alreadyDownloading();
            } else {
                var data_mode = $(".data_mode").val();
                if(data_mode == "login"){
                    loadingSpinner('on');
                    go('login');
                }else if(data_mode == "saved"){
                    loadingSpinner('on');
                    go('saved');
                }
            }
            return false;
        });
    }
};

app.initialize();