    // window.onerror = function(message, url, lineNumber) {
    //     console.log("Error: " + message + " in " + url + " at line " + lineNumber);
    //     loadingSpinner('off');
    // }

    var brand = 'cm';
    var app_version = "4.5.0"

    //var brand = 'scv';
    //var app_version = "1.0.2"


    var deleteDataIntervalDays = 30; // expire offline data after this many days since loaded
    var debug_logging = false;
    var requestedURLs = 0;
    var retrievedURLs = 0;
    var profilesToLoad = 0;
    var itemsToLoad = 0;
    var profilesLoaded = 0;
    var itemsLoaded = 0;
    var globalFileSystem = null;
    var ready = false;
    var indexHtml = null;
    var homeDirectory = null;
    var documentsDirectory = null;
    var downloadedFilenames = {};
    var totalWrittenFiles = 0;
    var urlsToFetch = [];
    var currentlyFetching = 0;
    var parallelFetches = 8;
    var loadFailures = 0;
    var platform = '';
    var abortCode = 0;
    var fetchingEmail = '';
    var unencryptedCode = '';
    var cachedHTML = {};
    var authentication_token = "";
    var current_filename = null;
    var uniqueProfileFilenames = {};
    var allSearchStrings = []; // an array of hashses containing { :search_string => "", :filename => filename }
    var startDownloadingTime = null;
    var currentDownloadRatePerMinute = 1.2;
    var profilesDownloadedSinceStart = 0;
    var workingFiles = [];
    var lastInteraction = new Date().getTime() / 1000;
    var timeoutSeconds = 10 * 60;
    var currentlyLoading = false;
    var userDirectoryURLString = "";
    var apiVersion = 6;
    var currentFilnameDisplayed = null;
    var previousFilenameDisplayed = null;
    var previousBucketFilenameDisplayed = null;
    var previousProfileFilenameDisplayed = null;
    var haveLoadedFreshCareCentral = false;
    var backButtonFile = null;
    var loadingOfflineMode = false;
    var iOSkeyChain = null;
    var notifyWhenFinished = false;
    var rate = 0;
    var wipeSavedData = false;
    var pushNotification;
    var inEditMode = false;
    var app_timed_out = false;

    document.addEventListener("deviceready", onDeviceReady, false);

    function showEnterCodeScreen(){
        $(".code_wrapp").show();
        $(".live_data").hide();
        $("#offline_data_wrapp").hide();
        $(".active_code").val("");
        $("#failure").text("");
        if (device.platform != 'windows') {
            $(".active_code").focus();          // on windows this makes the keyboard pop up then down
        }
    }

    function hideEnterCodeScreen(){
        $(".live_data").show();
        $("#offline_data_wrapp").show();
        $(".code_wrapp").hide();
    }

    function cm_log(message) {
        if (debug_logging) {
            console.log(message);
        }
    }

    function enter_edit_mode(group_host) {
        if (navigator.onLine) {
            var edit_mode_url = group_host;
            var ref = cordova.InAppBrowser.open(edit_mode_url + "/profiles?app_api_version=" + apiVersion, "_blank", "location=no,toolbar=no,fullscreen=yes");
            var startedUploading;
            inEditMode = true;
            app_timed_out = false;

            var timeoutLoop = setInterval(function() {  // this is the idle timout for "edit mode".  It will close the browser after timeout is triggered
                cm_log("idleing.....");
                if (app_timed_out) {
                    ref.close();
                    closing = true;
                    inEditMode = false;
                    clearInterval(timeoutLoop);
                }
            }, 10000);

            // URL click handler
            ref.addEventListener('loadstart', function(event) {
                startedUploading = new Date().getTime() / 1000;
                var urlExitPage1 = "/users/sign_out";
                var urlExitPage2 = "/auto_sign_out";
                var urlExitPage3 = "/users/sign_in";
                var urlExitPage4 = "/exit_edit_mode";
                var closing      = false;

                if (event.url != null && (event.url.indexOf(urlExitPage1) != -1 || event.url.indexOf(urlExitPage2) != -1 ||
                                          event.url.indexOf(urlExitPage3) != -1 || event.url.indexOf(urlExitPage4) != -1)) {
                    ref.close();
                    closing = true;
                    inEditMode = false;
                    hideEnterCodeScreen();
                }

                var open_external = event.url.indexOf('amazonaws.com') != -1 && (event.url.toLowerCase().indexOf(".pdf") != -1 ||
                                                                                 event.url.toLowerCase().indexOf(".jpg") != -1 ||
                                                                                 event.url.toLowerCase().indexOf(".png") != -1 ||
                                                                                 event.url.toLowerCase().indexOf(".gif")
                                                                                );
                // Update last interaction in app
                var now = new Date().getTime() / 1000;
                localStorage.setItem('lastInteractionEditMode', now);

                if (platform == 'android' && closing == false) {
                    navigator.notification.activityStart('', 'Loading ...');
                }

                if (platform == 'windows' && closing == false) {
                    SpinnerDialog.show();
                }

            });

            ref.addEventListener('loaderror', function(event) {
                //navigator.notification.alert("Error: " + event.message);
                var now = new Date().getTime() / 1000;
                if (now - startedUploading > 5) {  // if we have been loading this page for more than 10 seconds
                    navigator.notification.alert('Loading error.  Are you connected to the Internet?  Please try again or sign out and view offline data.');
                }
            });

            ref.addEventListener('loadstop', function(event) {
                if (platform == 'android') {
                    navigator.notification.activityStop();
                }
                if (platform == 'windows') {
                    SpinnerDialog.hide();
                }
            });
            return false;
        } else {
            alert("Unable to enter edit mode, no internet access detected");
        }
    }

    function loadingSpinner(method) {
        if (method == 'on') {
          var pHeight = window.innerHeight;
          var pWidth  = window.innerWidth;
          var sH = parseInt($('#spinner').css('height'));
          var sW = parseInt($('#spinner').css('width'));
          $('#spinner').css('top',(pHeight-sH)/2);
          $('#spinner').css('right',(pWidth-sW)/2);
          var maxZ = 1000;
          $('#spinner').css('z-index', maxZ);
          $('#spinner').show();
        } else if (method == 'off') {
          $('#spinner').hide();
        }

    }

    function downloadedAProfile() {
        profilesDownloadedSinceStart += 1;
        if (profilesDownloadedSinceStart == 20) {
            var now = new Date().getTime() / 1000;
            var seconds = now - startDownloadingTime;
            rate = 20 / seconds;
            startDownloadingTime = now;
            profilesDownloadedSinceStart = 0;
        }
        if (rate == 0) { rate = 1; }

        if (profilesLoaded < 20) {
            $("#progress_div").html("Downloading " + profilesToLoad + " profiles");
        } else {
            $("#progress_div").html(remainingString(parseInt((profilesToLoad - profilesLoaded)/rate/60.0)) +
                               "<br>" + profilesLoaded + " of " + profilesToLoad + " profiles loaded");
        }
    }

    function remainingString(minutes) {
      if (minutes >= 120) {
        return "Resuming download..."
      } else if (minutes <= 0) {
        return "Less than one minute remaining"
      } else if (minutes == 1) {
        return "Around 1 minute remaining"
      } else {
        return "Around " + minutes + " minutes remaining"
      }
    }

    function matchProfileName(filename) {
        if (filename.match(/_profile_[0-9]*\.html$/) != null) {
          if (uniqueProfileFilenames[filename] != true) {
            uniqueProfileFilenames[filename] = true;
            return true;
          } else {
            return false;
          }
        }
        return false;
    }

    function personalData(filename) {
        return (filename.match(/profile_[0-9]*\.html$/) != null || filename.match(/bucket_[0-9]*\.html$/) != null ||
                filename.match(/_profile_summary_/) != null ||
                filename.match(/attachment/) != null || filename.match(/_care_central.html/) != null)
    }

    function gotURL(data, url, filename, supplied_directory, link_type, encrypt)  {
       var linked_pages = [];
       var dataToWrite;
       if (link_type == 'internal') {
          linked_pages = data['linked_pages'];
          dataToWrite = data['page'];
          if (linked_pages) {
              requestedURLs += linked_pages.length;
          }
        } else {
            dataToWrite = data;
        }
        var full_path = full_filename(filename);

        window.resolveLocalFileSystemURL(documentsDirectory, function(dir) { dir.getFile(full_path, {create: true, exclusive: false}, function(fileEntry) {
            if (filename.indexOf('care_central') != -1) {
                window.localStorage.setItem("careCentralFullPath", fileEntry.toURL());
            }

            fileEntry.createWriter(function(writer) {
                if (dataToWrite) {
                    writer.onwrite = function(evt) {
                        cm_log("WROTE FILE OK=" + documentsDirectory + "/" + full_path);

                        if ((dataToWrite.length > 500000 && filename.indexOf('attachment') == -1) || filename.indexOf('care_central') != -1) {
                            cacheAHTMLFile(filename, dataToWrite);
                        }
                        if (filename.indexOf('care_central') != -1) {
                            haveLoadedFreshCareCentral = true;
                        }
                    };
                    writer.onerror = function(evt) {
                        cm_log("write failed for: " + filename);
                        abortCode = 115;
                    };
                    var newData = encodeHTML(filename, dataToWrite);
                    writer.write(newData);
                } else {
                     cm_log('no data to write');
                     if (is_care_central(filename)) {
                         abortCode = 107;
                     }
                }
                itemsLoaded += 1;
                if (matchProfileName(filename)) {
                          profilesLoaded += 1;
                          downloadedAProfile();
                }
                if (linked_pages) {
                  for (var i = 0; i < linked_pages.length; i++) {
                      url              = linked_pages[i]['url'];
                      linked_filename  = linked_pages[i]['filename'];
                      link_type        = linked_pages[i]['link_type'];

                      if (downloadedFilenames[linked_filename] != true) {
                           cm_log('adding file: ' + linked_filename);
                           downloadedFilenames[linked_filename] = true;
                           urlsToFetch[urlsToFetch.length] = { url:url, file:linked_filename };
                           itemsToLoad += 1;
                           if (matchProfileName(linked_filename)) {
                               profilesToLoad += 1;
                           }
                      } else {
                           cm_log('Already have file: ' + linked_filename);
                      }
                  }
                }
                totalWrittenFiles += 1;
                retrievedURLs += 1;
                currentlyFetching -= 1;
            }, function(error) {
                cm_log("FAILED TO WRITE " + 'errorcode: ' + error.code + ':' + filename)
                retrievedURLs += 1;
                currentlyFetching -= 1;
                loadFailures += 1;
                if (is_care_central(filename) || true) {
                    abortCode = 108;
                }
            });


          }, function(error) {
            cm_log('failed to get file: ' + filename);
            //cm_log(evt.target.error.code);
            retrievedURLs += 1;
                cm_log('Error.code = ' + error.code + ':' + filename);
            currentlyFetching -= 1;
            loadFailures += 1;
            if (is_care_central(filename)) {
                abortCode = '109:' + error.code;
            }
        })});

     }

     // type: internal=expect json result, external=expect standard response
     function fetchURL(url, filename, supplied_directory, link_type, encrypt) {
          lastInteraction = new Date().getTime() / 1000;
          fullUserDirectory = userURLDirectory() + userDirectory();
          cm_log("in ajax - currentlyFetching=" + currentlyFetching + " : " + filename);
          cm_log("URL=" + url);

          $.ajax({
            async: true,
            type: 'GET',
            url: url,
            data: { directory:supplied_directory, index_file:indexHtml, user_directory:fullUserDirectory,
                    platform:platform, api_version:apiVersion, authenticity_token:authentication_token
                  },
            timeout: 40000,
            tryCount : 0,
            retryLimit : 3,
            success: function(data) {
               //cm_log("got file " + filename);
               gotURL(data, url, filename, supplied_directory, link_type, encrypt);
            },
            error: function(jqXHR, textStatus, errorThrown) {
              cm_log("got error " + errorThrown)
              this.tryCount++;
              if (this.tryCount <= this.retryLimit) {
                cm_log('trying again...');
                $.ajax(this); // try again
                return;
              }
              retrievedURLs += 1;
              cm_log('FAILED: ' + filename);
              cm_log('ERRORs: ' + textStatus);
              currentlyFetching -= 1;
              loadFailures += 1;
              abortCode = 110;
            }
        });
     }

     function getUserDirectory(allGood) {  // this method is required in case it needs to create the user directory
         window.resolveLocalFileSystemURL(documentsDirectory, function(dir) {
              cm_log("got main dir:" + dir);
              cm_log("userDirectory():" + userDirectory());

              dir.getDirectory(userDirectory(), { create:true }, function(file) {
                cm_log("got the directory" + file);
                allGood();
              });
         });
     }

     function userURLDirectory() {
        return homeDirectory.replace("file://", "").replace("ms-appdata://", "");
     }

     function userDirectory(email) {
        if (email == null) {
          email = registeredEmail();
        }
        return 'cmp_enc_' + email.replace(/[^a-z]/gi, '_').toLowerCase();
      }

     function oldUserDirectory() {
        rootPath = globalFileSystem.root.fullPath.replace("file://", "");
        return rootPath + '/cm_' + fetchingEmail.replace(/[^a-z]/gi, '_').toLowerCase();
     }

     function full_filename(filename) {
         return userDirectory() + '/' + filename;
     }

     function user_filename(filename) {
         if (is_care_central(filename)) {
             return fetchingEmail.replace(/[^a-z0-9]/gi, '_') + '-' + filename
         } else {
             return filename
         }
     }

     function is_care_central(filename) {
          if (filename && filename.indexOf('_care_central.html') != -1) {
              return true;
          } else {
              return false;
          }
     }

     function encodeHTML(filename, data) {
       if (debug_logging) {
           return data;
       }
       if (personalData(filename)) {
         var encoded = CryptoJS.Rabbit.encrypt(data, unencryptedCode);
         return 'Encoded:' + JSON.stringify(encoded);
       } else {
         return data;
       }
     }

     // return the decoded HTML.
     // if report_error then display pop-up 'unable to decode' message. else just return empty string
     function decodeHTML(data, report_error) {
       try {
           if (data.indexOf('Encoded:') == 0) {
               var encoded = JSON.parse(data.slice(8,data.length));
               var decrypted = CryptoJS.Rabbit.decrypt(encoded, unencryptedCode);
               return decrypted.toString(CryptoJS.enc.Utf8);
           } else {
               return data;
           }
       } catch(err) {
          if (report_error == true) {
               navigator.notification.alert("Failed to decode this page");
               Failure('Failed to decode', false);
               loadPage('login.html');
               return '';
          } else {
               return '';
          }
       }
     }

     function is_a_profile_page(filename) {
        if (filename) {
           return (filename.match(/profile_[0-9]*\.html$/) != null);
        } else {
          return false;
        }
     }

     function is_a_bucket_page(filename) {
        if (filename) {
           return (filename.match(/bucket_[0-9]*_from_[0-9]*\.html$/) != null);
        } else {
          return false;
        }
     }

     function is_a_attachment_page(filename) {
        if (filename) {
           return (filename.match(/attachment/) != null);
        } else {
          return false;
        }
     }

     function loadPage(filename, finishedCallBack) {
         showLoading('show', function() {
             lastInteraction = new Date().getTime() / 1000;
             current_filename = filename;

             var scale         = "1.0";   // typeof scale         !== 'undefined' ? scale : 1.0;
             var min_scale     = "1.0";   // typeof min_scale     !== 'undefined' ? min_scale : 1.0;
             var max_scale     = "1.0";   // typeof max_scale     !== 'undefined' ? max_scale : 1.0;
             var user_scalable = "0";     //typeof user_scalable !== 'undefined' ? user_scalable : 1;

             bits = filename.split('/');
             cacheFilename = bits[bits.length-1];

             previousFilenameDisplayed = currentFilnameDisplayed;

             if (is_a_profile_page(previousFilenameDisplayed)) {
                 previousProfileFilenameDisplayed = previousFilenameDisplayed;
             } else if (is_a_bucket_page(previousFilenameDisplayed) || is_care_central(previousFilenameDisplayed)) {
                 previousBucketFilenameDisplayed = previousFilenameDisplayed;
             } else if (is_a_attachment_page(previousFilenameDisplayed)) {
                 scale         = "0.2";
                 min_scale     = "0.2";
                 max_scale     = "1.0";
                 user_scalable = "1";
             }
             currentFilnameDisplayed = filename;

             if (cachedHTML[cacheFilename] == null) {
                  cm_log("loadPage: file NOT cached :" + filename);

                  $.ajax({
                     async: true,
                     url: filename,
                     success: function(data) {
                        newData = decodeHTML(data, true);
                        replace_html_content(newData);
                        cacheAHTMLFile(filename, newData);
                        //resetScale(scale, min_scale, max_scale, user_scalable);
                        if (finishedCallBack != null) { finishedCallBack(); }
                     },
                     error: function(requestObject, error, errorThrown) {
                         showLoading('hide', null);
                         navigator.notification.alert('Error, unable to find this profile/page.\nPlease select the "Refresh offline data" option on the information page and try again.');
                         cm_log('Error in loadPage :' + filename + " " + error + " " + errorThrown);
                         Failure('', false)
                     }
                  });
            } else {
                cm_log("loadPage: using cached file of " + cacheFilename);
                replace_html_content(cachedHTML[cacheFilename]);
                //resetScale(scale, min_scale, max_scale, user_scalable);
                if (finishedCallBack != null) { finishedCallBack(); }
            }
        });
     }

    function is_large_screen() {
      return device.model.indexOf('iPhone3') != 0 && device.model.indexOf('iPhone4') != 0;
    }

    function replace_html_content(html) {
        $("#app-content-wrapper").html(html);
        $('html,body').scrollTop(0);
        showLoading('hide', null);
    }

     function profileSummaryTextFile(filename) {
          return (filename.match(/_profile_summary_text_[0-9]/) != null);
     }

     function showLoading(action, finishedCallback) {
         if (action == 'hide') {
             $("#overlay").hide();
         } else {
             $("#overlay").show();
             setTimeout(finishedCallback, 50);
         }
     }

     function performSearch() {
        showLoading('show', function() {
             var string = $("#search-box").val().toLowerCase();
             var bits = string.split(' ');
             var matched_files = [];
             var i;
             for (i = 0; i < allSearchStrings.length; i++) {
               var hash = allSearchStrings[i];

               var matched = true;
               for (var j = 0; j < bits.length; j++) {
                   if (hash['search_text'].toLowerCase().indexOf(bits[j]) == -1) {
                       matched = false;
                   }
               }
               if (matched == true) {
                   matched_files.push(hash);
               }
             }
             createHTMLdocument(matched_files);
        });
     }

    function createHTMLdocument(matched_files) {
      var htmlContent = "<h5>&nbsp;&nbsp;&nbsp;Matched " + matched_files.length;
      var processed = 0;
      window.resolveLocalFileSystemURL(documentsDirectory , function(dir) {
        for (var i = 0; i < matched_files.length; i++) {
          var full_filename  = matched_files[i]['html_block_filename'];
          cm_log("Reading file " + full_filename);
          dir.getFile(full_filename, { create: false, exclusive: false } , function(fileEntry) {
            fileEntry.file(function(file) {
              var reader = new FileReader();
              reader.onloadend = function(e) {
                decoded_data = decodeHTML(e.target.result, true);
                var hash = JSON.parse(decoded_data);
                htmlContent += hash.html_block;
                htmlContent += "<br>\n";
                processed += 1;
              }
              reader.readAsText(file);
            });
          }, function() {
            cm_log("Could not get file");
          });
        }
      });
      var myLoop = setInterval(function() {
        if (processed == matched_files.length) {
            cm_log("finished createHTMLdocuments()");
            clearInterval(myLoop);
            $("#search-results").html(htmlContent);
            showLoading('hide', null);
        }
      }, 100);
    }

     function resetScale(scale, min_scale, max_scale, user_scalable) {
        viewport = document.querySelector("meta[name=viewport]");
        cont = 'width="device-width", user-scalable="' + user_scalable + '", initial-scale="' + scale + '", minimum-scale="' + min_scale + '", maximum-scale="' + max_scale + '"';
        viewport.setAttribute('content', cont);
        cm_log("resetScale:" + cont);
     }

     function cacheAHTMLFile(filename, data) {
         bits = filename.split('/');
         newFilename = bits[bits.length-1];
         cachedHTML[newFilename] = data;
         cm_log("Caching file: " + data.length + " bytes : " + newFilename)
     }

     function getCareCentralFullPath() {
         return window.localStorage.getItem("careCentralFullPath");
     }

     function jumpToCareCentral() {
         cm_log("finding care central");
         allowedToSignin();
         currentlyLoading = false;
         loadingSpinner('off');
         var doJump = function() {
             loadPage(getCareCentralFullPath(), null);
         };

         if (workingFiles.length == 0 || allSearchStrings.length == 0) {
             getListofFiles([], doJump);
         } else {
             doJump();
         }
      }

      function Failure(message, wipeSavedData) {
          if (wipeSavedData) {
              // window.localStorage.setItem("lastLoadedTime", 0);
          }
          $("#progress_div").hide();
          $("#status").text('');
          $("#password").val('');
          $("#failure").text(message);
          $("#downloading_view").hide();
          $("#cancel-button").hide();
          $("#sf-links").show();
          $("#saved_button").removeClass("disabled");
          $("#login").removeClass( "disabled");
          loadingSpinner('off');
          currentlyLoading = false;
          allowedToSignin();
      }

      function processFile(url, filename, encrypt) {
          var directory = userDirectory();
          var fetch = function() { fetchURL(url, filename, directory, 'external', encrypt); }
          var force_reload = document.getElementById("force_reload").checked;
          fetch();
      }

      function phoneOnline() {
          var networkState = navigator.connection.type;
          return networkState != Connection.NONE;
      }

      function setEmailDisplay() {
          var email = registeredEmail();
          document.getElementById("email_display").innerHTML = email;
      }

      function successHandler (result) {
        cm_log("success: " + result);
      }

      function errorHandler (error) {
        cm_log("error: " + error);
      }

    function onNotificationAPN (event) {
        if ( event.alert )
        {
            navigator.notification.alert(event.alert);
        }

        if ( event.sound )
        {
            var snd = new Media(event.sound);
            snd.play();
        }

        if ( event.badge )
        {
            pushNotification.setApplicationIconBadgeNumber(successHandler, errorHandler, event.badge);
        }
    }

      function onNotification(e) {
          switch( e.event ) {
            case 'registered':
              if ( e.regid.length > 0 ) {
                window.localStorage.setItem("reg_id", e.regid);
              }
            break;

            case 'message':
              if ( e.foreground ) {
                // $("#app-status-ul").append('<li>--INLINE NOTIFICATION--' + '</li>');
                alert("foreground message: " + e.payload.message);

                // // on Android soundname is outside the payload.
                // var soundfile = e.soundname || e.payload.sound;
                // // if the notification contains a soundname, play it.
                // var my_media = new Media("/android_asset/www/"+ soundfile);
                // my_media.play();
              } else {
                // otherwise we were launched because the user touched a notification in the notification tray.
                if ( e.coldstart ) {
                  // $("#app-status-ul").append('<li>--COLDSTART NOTIFICATION--' + '</li>');
                  alert("coldstart message: " + e.payload.message);
                } else {
                  // $("#app-status-ul").append('<li>--BACKGROUND NOTIFICATION--' + '</li>');
                  alert("background message: " + e.payload.message);
                }
              }

              // $("#app-status-ul").append('<li>MESSAGE -> MSG: ' + e.payload.message + '</li>');
              //Only works for GCM (for payload count)
              // $("#app-status-ul").append('<li>MESSAGE -> MSGCNT: ' + e.payload.msgcnt + '</li>');
            break;

          case 'error':
            cm_log("error with push notification: " + e.msg );
          break;

          default:
            cm_log("unknown push notification received");
          break;
        }
      }

      function indexCode() {
          if (isRegistered()) {
               loadPage('login.html', function() {
                   allowedToSignin();
               });
          } else {
               loadPage('register.html', function() {
               });
          }
      }

      function tokenHandler(result) {
        window.localStorage.setItem("reg_id", result);
        //alert("Registered to APN: " + result);
      }

      function onDeviceReady() {

          Hammer(document).on("swiperight", function(e){
            if(!is_a_attachment_page(currentFilnameDisplayed)){
                backButtonPresses();
            }
          });

          if (window.cordova.logger) {
            window.cordova.logger.__onDeviceReady();
          }
          try {
            var after_perform = function() {
                removeOlderData(); // deleting all data if older than X days
                window.localStorage.setItem('lastInteractionEditMode', new Date().getTime() / 1000); // intialise
                indexCode();  // run the javascript that processes in the index file
                document.addEventListener("backbutton", backButtonPresses, false);

                var timeoutLoop = setInterval(function() {
                    var insideEditLastInteraction = window.localStorage.getItem('lastInteractionEditMode')
                    if (insideEditLastInteraction > lastInteraction) { // edit mode is more recent
                        lastInteraction = insideEditLastInteraction
                    }
                    var now = new Date().getTime() / 1000;
                    var idleSeconds = now - lastInteraction;
                    var notOnRegisterPage = current_filename.indexOf('register.html') == -1;
                    var notOnLoginPage    = current_filename.indexOf('login.html') == -1;

                    cm_log("idling: " + inEditMode + "  filename: " + current_filename + " : " + notOnLoginPage + " : " + notOnRegisterPage);
                    if (inEditMode || (current_filename != null && notOnLoginPage && notOnRegisterPage)) {
                        cm_log("Idle for " + parseInt(idleSeconds) + " seconds");
                        if (idleSeconds > timeoutSeconds) {
                            var callBack = function() {
                                $("#status").text('');
                                $("#failure").text("For security, you have been logged out due to inactivity");
                                $("#downloading_view").hide();
                                $("#cancel-button").hide();
                                $("#sf-links").show();
                                currentlyLoading = false;
                                app_timed_out = true;
                                allowedToSignin();
                            };
                            loadPage('login.html', callBack);
                        }
                    }
                }, 10000);
            };
            perform(after_perform);
          } catch(err) {
              navigator.notification.alert("Unknown Error :" + err);
              Failure('Unknown error', wipeSavedData);
          }
      }

      function backButtonPresses(e) {
          if (currentlyLoading == false && backButtonFile != null) {
            loadPage(backButtonFile);
          }
          if(backButtonFile == null || backButtonFile == "undefined")
          {
            e.preventDefault();
            navigator.app.exitApp();
          }
          return true;
      }

      function perform(next) {
          document.addEventListener("online",  function() { setOnlineStatus(); }, false);
          document.addEventListener("offline", function() { setOnlineStatus(); }, false);

          window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
              cm_log('got file system OK');
              globalFileSystem = fileSystem;

              if (device.platform.toLowerCase() == 'ios') {
                  platform = 'iphone';
                  //pushNotification.register(tokenHandler, errorHandler, {"badge":"true","sound":"true","alert":"true","ecb":"onNotificationAPN"});  // required!
                  var syncedDataDir      = cordova.file.syncedDataDirectory;
                  var dataDir            = cordova.file.dataDirectory;
                  indexHtml              = "index.html";
                  homeDirectory          = dataDir;
                  documentsDirectory     = dataDir;
                  iOSkeyChain            = new Keychain();
                  set_new_token_if_needed();
              } else if (device.platform.toLowerCase() == 'windows') {
                  platform               = 'windows';
                  var syncedDataDir      = cordova.file.syncedDataDirectory;
                  var dataDir            = cordova.file.dataDirectory;
                  indexHtml              = "index.html";
                  homeDirectory          = dataDir;
                  documentsDirectory     = dataDir;
              } else if (device.platform.toLowerCase() == 'android') {
                  platform               = 'android';
                  var syncedDataDir      = cordova.file.syncedDataDirectory;
                  var dataDir            = cordova.file.dataDirectory;
                  indexHtml              = "index.html";
                  homeDirectory          = dataDir;
                  documentsDirectory     = dataDir;
              }
              ready = true;
              setOnlineStatus();
              next();
          }, function() {
              cm_log('failed to get a file system');
              navigator.notification.alert('Error: problem with file system');
          });
          loadingSpinner('off');
      }

      function loadData(initialSite, after_sign_in_callback) {
          getUserDirectory(function() {
              cm_log("loading data :" + getInitialSite());
              fetchSessions(getInitialSite(), after_sign_in_callback);
          });
      }

      function signOut() {
          var initialSite  = getInitialSite();
          currentlyLoading = false;
          allowedToSignin();
          $.ajax({
              async: true,
              url: initialSite + "/users/sign_out",
              timeout: 25000,
              success: function(data) {
              },
              error: function(jqXHR, textStatus) {
              }
          });
      }

      function fetchSessions(initialSite, after_sign_in_callback) {
          loadingSpinner('on');
          $("#progress_div").html('Connecting to CareMonkey');
          var url = initialSite + "/users/sign_out";
          cm_log("ajax login call :" + initialSite);
          $.ajax({
              async: false,
              url: url,
              timeout: 25000,
              success: function(data) {
                  $("#progress_div").html('Authenticating');
                  var url = initialSite + "/users/sign_in?request_type=mobile_app&email=" + encodeURIComponent(fetchingEmail) + "&platform=" + platform + "&api_version=" + apiVersion;
                  $.ajax({
                      url: url,
                      async: false,
                      dataType: 'json',
                      timeout: 30000,
                      success: function(data) {
                          authentication_token = data.authentication_token;

                          if (registered_for_touch_id()) {
                              authenticate_touch(initialSite, after_sign_in_callback);
                          } else {
                              code = enteredCode();
                              loginPost(initialSite, code, after_sign_in_callback);
                          }
                      },
                      error: function(jqXHR, textStatus) {
                          earlyFailure("1");
                      }
                  });
              },
              error: function(jqXHR, textStatus) {
                  earlyFailure(" 2 " + textStatus + " " + jqXHR.responseText);
              }
          });
      }

      function set_random_token_localstore(val, good, bad) {
          window.localStorage.setItem("randomToken", val);
      }

      function get_random_token_localstore() {
          return window.localStorage.getItem("randomToken");
      }

      function brand_details(brand) {
          if (brand == 'scv') {
              return { keychainServiceName:'CareMonkey', tokenName:'token'  };
          } else if (brand == 'cm') {
              return { keychainServiceName:'CareMonkey', tokenName:'token7' };
          }
      }

      function set_random_token_keychain(val, good, bad) {
          details = brand_details(brand);
          iOSkeyChain.setForKey(good, bad, details.tokenName, details.keychainServiceName, val);
      }

      function get_random_token_keychain(good, bad) {
          details = brand_details(brand);
          iOSkeyChain.getForKey(good, bad, details.tokenName, details.keychainServiceName);
      }

      function using_keychain() {
          return (platform == 'iphone');
      }

      function registered_for_touch_id() {
          return (window.localStorage.getItem("registered_for_touch_id") == 1);
      }

      function maps_url() {
          if (platform == 'iphone') {
              return "http://maps.apple.com";
          } else {
              return "http://maps.google.com";
          }
      }

      function registerDevice(using_touch_id) {
          if (ready) {
            $("#sf-links").hide();
            $("#saved_button").addClass("disabled");
            $("#login").addClass( "disabled");

            $('#aborting-text').html('');
            $("#progress_div").show();

            var email       = $("#email").val();
            var password    = $("#password").val();
            var code        = enteredCode();
            var initialSite = $('input[name="region_url"]').val();
            var url = initialSite + "/register_mobile_app";
            var registration_type = 'code';
            var regID       = window.localStorage.getItem("reg_id");

            if (using_touch_id) {
                code = make_random_token();
                registration_type = 'touch_id';
            }

            cm_log("posting registration to \"" + url + "\"");
            uuid = device.uuid;
            if (uuid == null) { // browser
                uuid = "1234567890";
            }
            $.ajax({
              type: 'POST',
              async: true,
              dataType: 'json',
              url: url,
              timeout: 30000,
              data: { 'user[email]': email, 'user[password]': password, 'user[enteredCode]':code,
                       uuid:uuid, platform: platform, api_version:apiVersion,
                       registration_type: registration_type, reg_id: regID },
              success: function(data) {
                loadingSpinner('off');
                if (data.error_string != "") {
                    navigator.notification.alert(data.error_string);
                    $("#sf-links").show();
                    cm_log("Failed register call with " + data.error_string);
                } else {
                    cm_log("registered email: " + registeredEmail());
                    if (registeredEmail()) {
                        removeVersion3xFiles(registeredEmail());
                        removeFilesAfterRegistering(registeredEmail());
                    }

                    if (using_keychain()) {
                        set_random_token_keychain(code, null, null);  // assume this will happen fast enough
                    } else {
                        var salt = makeSalt();
                        window.localStorage.setItem("codeSalt", salt);
                        window.localStorage.setItem("registeredCode", CryptoJS.SHA3(salt + code));
                    }
                    if (using_touch_id) {
                        window.localStorage.setItem("registered_for_touch_id", 1);
                    } else {
                        window.localStorage.setItem("registered_for_touch_id", 0);
                    }

                    window.localStorage.setItem("registeredEmail", email);
                    window.localStorage.setItem("registeredDeviceID", data.device_id);
                    window.localStorage.setItem("registeredSiteURL", initialSite);
                    window.localStorage.setItem("regionName", data.region_name);
                    window.localStorage.setItem("lastLoadedTime", 0);
                    window.localStorage.setItem("lastLoadedVersion", apiVersion);

                    var callBack = function() {
                        $("#status").text('');
                        $("#failure").text("Device registered");
                        $("#downloading_view").hide();
                        $("#cancel-button").hide();
                        $("#sf-links").show();
                        currentlyLoading = false;
                        allowedToSignin();
                    };
                    loadPage('login.html', callBack); //a
                }
              },
              error: function(requestObject, error, errorThrown) {
                loadingSpinner('off');
                navigator.notification.alert("Failed to register.  Please try again and call CareMonkey if the error persists.");
                cm_log("Failed register call " + url + "  " + errorThrown + error + requestObject);
              }
            });
         }

      }

      function set_new_token_if_needed() {
          var token_is_set  = function() { };
          var no_token_set  = function() {
              var code = make_random_token();
              set_random_token_keychain(code, null, function(errorString) {
                  navigator.notification.alert("Error: could not save in KeyChain: " + errorString);
              });
              window.localStorage.setItem("lastLoadedTime", 0);
              removeFilesAfterRegistering(registeredEmail());  // we must now remove all files since they are encoded with the old code, they will get re-downloaded
          };

          if (isRegistered()) {
            get_random_token_keychain(token_is_set, no_token_set);
          }
      }

      function earlyFailure(note) {
          message = 'Failed connection to CareMonkey' + note;
           if (validLastLoadedData() == true) {
               message += ".  Click the 'View offline' link to see previous data ";
           }
          Failure(message, false);
      }

      function getInitialSite() {
          return window.localStorage.getItem("registeredSiteURL");
      }

      function getProfileViews() {
        return window.localStorage.getItem("profile_views");
      }

      function resetProfileViews(){
        window.localStorage.removeItem("profile_views");
      }

      function isRegistered() {
          return (typeof registeredEmail() != "undefined" && registeredEmail() != null && registeredEmail() != "" && getInitialSite() != null);
      }

      function registeredEmail() {
           return window.localStorage.getItem("registeredEmail");
      }

      function registeredDeviceID() {
           return window.localStorage.getItem("registeredDeviceID");
      }

      function getRegionName() {
           return window.localStorage.getItem("regionName");
      }

      function enteredCode() {
          return $(".code.active_code").val();
      }

      function make_random_token() {
          var token = function() { return Math.random().toString(36).substr(2); }; // remove `0.`
          return 'touch_id_' + token() + token() + token();
      };

      function has_touch_id(yes, no) {
        window.plugins.touchid.isAvailable(yes, no);
      }

      function validLastLoadedData() {
          var lastLoadedTime =  parseInt(window.localStorage.getItem("lastLoadedTime"));
          return (lastLoadedTime >= 10000000 && typeof lastLoadedTime != "undefined" && isNaN(parseFloat(lastLoadedTime)) == false)
      }

      function authenticate_touch(initialSite, after_sign_in_callback) {
          cm_log("authenticate_touch");
          var good = function() {
              get_random_token_keychain(function(code) {
                  loginPost(initialSite, code, after_sign_in_callback);
              }, function() {
                Failure('You must re-register this device using the "Sign-in as another user" link above', false);
              });
          };
          var bad = function() {
              Failure('Touch ID failed', false);
          };
          window.plugins.touchid.verifyFingerprint("CareMonkey", good, bad);
      }

      function loginPost(initialSite, code, after_sign_in_callback) {
          var force_reload       = document.getElementById("force_reload").checked;
          var email              = registeredEmail();
          var deviceID           = registeredDeviceID();
          var initialSite        = getInitialSite();
          var profile_views_data = getProfileViews();
          removeVersion3xFiles(email);
          unencryptedCode = code;
          cm_log("posting to sign_in " + initialSite);
          $("#progress_div").html('Receiving changes list');
          $.ajax({
            type: 'POST',
            async: true,
            dataType: 'json',
            url: initialSite + "/users/sign_in",
            timeout: 60000,
            data: { 'user[email]': email, 'user[enteredCode]': code, 'user[registeredDeviceID]':deviceID, uuid:device.uuid, api_version:apiVersion, authenticity_token: authentication_token, request_type: 'mobile_app', platform: platform, viewing_on_app: true, profile_views: profile_views_data },
            success: function(data, textStatus, jqXHR) {
                cm_log("got mobile_index_app files list ");
                $("#progress_div").html('Calculating changes');
                requestedURLs = 0;
                retrievedURLs = 0;
                profilesToLoad = 0;
                itemsToLoad = 0;
                uniqueProfileFilenames = {};
                startDownloadingTime = new Date().getTime() / 1000;
                currentDownloadRatePerMinute = 1.2;
                profilesDownloadedSinceStart = 0;

                profilesLoaded = 0;
                itemsLoaded = 0;
                totalWrittenFiles = 0;
                loadFailures = 0;
                downloadedFilenames = {};
                urlsToFetch = [];
                abortCode = 0;
                allSearchStrings = [];

                login_successful = 0;
                try {
                  details  = data[0];
                  url_list = data[1];
                  login_successful = details.login_successful;
                } catch(err) {

                }

                if (login_successful == 1) {

                    resetProfileViews();
                    requestedURLs += url_list.length;
                    fetchAll(url_list);
                    // now that we are signed in, we can call the method to go into edit mode
                    after_sign_in_callback();
                } else {
                    if (details.must_update_pin == 1) {
                      navigator.notification.alert("Password changed, please re-register this device.");
                      loadPage("register.html");
                      loadingSpinner('off');
                    } else {
                        if (code == "undefined" || code.indexOf('touch_') == 0) {
                            Failure('You must re-register this device using the "Sign-in as another user" link above', false);
                        } else {
                            Failure('Code incorrect', false);
                        }
                    }
                }
            },
            error: function(requestObject, error, errorThrown) {
                if (debug_logging) {
                    Failure('Connection to CareMonkey failed ' + error + ' ' + errorThrown, false);
                } else {
                    Failure('Connection to CareMonkey failed', false);
                }
            }
          });
      }

      function makeSalt() {
          var text = "";
          var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
          for (var i = 0; i < 10; i++)
              text += possible.charAt(Math.floor(Math.random() * possible.length));
          return text;
      }

      function getListofFiles(filenamesNeeded, finishedCallBack) {
          cm_log("starting getListofFiles()");
          cm_log("files needed " + filenamesNeeded.length);

          $("#progress_div").html('Downloading...');
          if (workingFiles.length > 0 && allSearchStrings.length > 0) {
              finishedCallBack();
          } else {
              workingFiles = [];
              var finished = false;

              directoryName = documentsDirectory + userDirectory();
              cm_log("dirname = " + directoryName);

              window.resolveLocalFileSystemURL(directoryName, function(fileSystem) {
                var reader = fileSystem.createReader();
                reader.readEntries(function (entries) {
                      cm_log("entries: " + entries.length);
                      var asyncMethod = function(entry, key, callback) {
                          cm_log("index number:" + key);
                          cm_log("filename:" + entry.fullPath);

                          workingFiles.push(entry.name);
                          if (profileSummaryTextFile(entry.name) && (filenamesNeeded.indexOf(entry.name) != -1 || loadingOfflineMode)) {
                              window.resolveLocalFileSystemURL(documentsDirectory + entry.fullPath, function(fileEntry) {
                                  fileEntry.file(function(file) {
                                      var reader = new FileReader();
                                      reader.onloadend = function(e) {
                                          cm_log("length before decode:" + this.result.length);
                                          decoded_data = decodeHTML(this.result, false);
                                          cm_log("length after decode:" + decoded_data.length);
                                          var hash = {}
                                          if (decoded_data != 'undefined' && decoded_data != null && decoded_data != '') {
                                              hash = JSON.parse(decoded_data);
                                          }
                                          var html_block_filename = userDirectory() + '/' + hash['html_block_filename'];
                                          allSearchStrings.push({ 'search_text':hash['search_text'], 'html_block_filename':html_block_filename })
                                          callback();
                                      }
                                      reader.readAsText(file);
                                  });
                              });
                          } else {
                              callback();
                          }
                      }; // end of asyncMethod

                      async.eachOfSeries(entries, asyncMethod, function(err, results) {
                          finished = true; // each entey has been run in series
                          $("#progress_div").html('Loading Care Central');
                          cm_log("finished getListofFiles()");
                          finishedCallBack();
                      });
                  },
                  function (err) {
                    cm_log(err);
                  }
                );
              }, function (err) {
                  cm_log("FAILED TO GET DIR");
              });
          }
      }

      function removeFilesAfterRegistering(old_email) {
          old_dir = userDirectory(old_email);
          cm_log("removing old files after registering from :" + old_dir);

          window.resolveLocalFileSystemURL(cordova.file.dataDirectory, function(dir) {
              cm_log("got main dir", dir);
              dir.getDirectory(old_dir, { create:false }, function(dirEntry) {
                 cm_log("got dir for remove");
                 var directoryReader = dirEntry.createReader();
                 directoryReader.readEntries(function success(entries) {
                      cm_log("got entries for remove " + entries.length);
                      for (var i = 0; i < entries.length; i++) {
                          var filename = entries[i].name;
                          var full_filename = userDirectory(old_email) + '/' + filename;
                          dirEntry.getFile(filename, {create: false, exclusive: false}, function(fileEntry) {
                            fileEntry.remove(function() {
                                cm_log("removed file OK :" + fileEntry.name);
                            }, function() {
                                cm_log("removed file ERROR :" + fileEntry.name);
                            });
                          });

                       }
                 });
              });
          });
     }

     function removeVersion3xFiles(old_email) {
          cm_log("removing old version 3x files");
          globalFileSystem.root.getDirectory(userDirectory(old_email), { create: false, exclusive: false}, function(dirEntry) {
             cm_log("3x got dir");
             var directoryReader = dirEntry.createReader();
             directoryReader.readEntries(function success(entries) {
                  cm_log("3x got files " + entries.length);
                  for (var i = 0; i < entries.length; i++) {
                      var filename = entries[i].name;
                      var full_filename = userDirectory(old_email) + '/' + filename;
                      globalFileSystem.root.getFile(userURLDirectory() + full_filename, {create: false, exclusive: false}, function(fileEntry) {
                          fileEntry.remove(function() {
                              cm_log("removed file OK :" + fileEntry.name);
                          }, function() {
                              cm_log("removed file ERROR :" + fileEntry.name);
                          });
                      });
                   }
             },function fail() {
             });
          });
     }

     function removeOlderData() {
        var lastLoadedTime = parseInt(window.localStorage.getItem("lastLoadedTime"));

        if( lastLoadedTime === 0 ) {  // means loading was cancelled and not completed
            return;
        } else if( isNaN(lastLoadedTime) ) {
            window.localStorage.setItem("lastLoadedTime", parseInt((new Date).getTime() / 1000));
            lastLoadedTime = parseInt(window.localStorage.getItem("lastLoadedTime"));
            return;
        }
        var date_diff = parseInt((new Date().getTime()/1000) - lastLoadedTime);

        if (date_diff/(3600*24) > deleteDataIntervalDays) {
            // delete all data from the device
            cm_log("going to delete the data files as they are older than: " + deleteDataIntervalDays + " days");
            removeFilesAfterRegistering(registeredEmail());
            $("#offline_data_wrapp").hide();
            navigator.notification.alert('Notice: Your offline data has expired. Please "Sign In" now to download latest data.');
        }
     }

      function fetch_region_name() {
           $(".region_wrapp2 .label2").html('Determining Region...');
           $.ajax({
             url: 'https://groups.caremonkey.com/get_region_name',
             dataType: 'json'
             })
             .done(function(region_details) {
                  region_name_human = region_details.name.charAt(0).toUpperCase() + region_details.name.slice(1);
                  if (region_name_human == 'australia') {
                      region_name_human = 'Asia Pacific';
                  }
                  $("#region2").val(region_details.name);
                  $('input[name="region_url"]').val(region_details.url);
                  $(".region_wrapp2 .label2").html(region_name_human);
             })
             .fail(function(e) {
                  region_name = 'australia'
                  region_name_human = region_name.charAt(0).toUpperCase() + region_name.slice(1);
                  if (region_name_human == 'australia') {
                      region_name_human = 'Asia Pacific';
                  }
                  $("#region2").val(region_name);
                  $('input[name="region_url"]').val('https://groups.caremonkey.com');
                  $(".region_wrapp2 .label2").html(region_name_human);
             })
      }

      function checkForFile(url_item) {
          bool = (workingFiles.indexOf(url_item.file) != -1)
          return bool;
      }
      function alreadyDownloading() {
         navigator.notification.alert('Please wait until the download completes or select Cancel Update.');
      }

      // called to setup the screen options etc when sign-in is allowed
      function allowedToSignin() {
          loadingSpinner("off");
          $("#signin_as_another").html("<b>Sign in</b> as another user");
          $("#forgot_your_code").html("Forgot your code?");
          $(".sf_links").addClass("enabled");
          $("#forgot_your_code_hide").show();
          $(".footer-i").show();
          if (platform != 'browser') {
              window.plugins.insomnia.allowSleepAgain();
          }
      }

      // called to setup the screen options etc when sign-in is not allowed (eg. when it is download data)
      function notAllowedToSignin() {
          $(".sf_links").removeClass("enabled");
          $("#signin_as_another").html("&nbsp;");
          $("#forgot_your_code_hide").hide();
          $(".footer-i").hide();
          if (platform != 'browser') {
              window.plugins.insomnia.keepAwake();
          }
      }

      function fetchAll(url_list) {
          filenamesNeeded = [];
          for (var i = 0; i < url_list.length; i++) {
              filenamesNeeded.push(url_list[i].file);
          }
          getListofFiles(filenamesNeeded, function() {
              cm_log("starting fetchAll");
              var force_reload = document.getElementById("force_reload").checked;
              urlsToFetch = [];
              for (var i = 0; i < url_list.length; i++) {
                  if (checkForFile(url_list[i]) == false || force_reload == true) {
                      var url_list_filename = url_list[i].file
                      var url_list_url      = url_list[i].url

                      urlsToFetch.push({ url:url_list_url, file:url_list_filename });
                      itemsToLoad += 1;
                      if (matchProfileName(url_list_filename)) {
                          profilesToLoad += 1;
                      }
                  }
              }
              $("#progress_div").html("Downloading " + profilesToLoad + " profiles");
              //alert("finished fetchAll list processing.  Need to fetch " + urlsToFetch.length + " files");
              cachedHTML = {};
              mainFetchLoop(urlsToFetch);
              cm_log("finished fetchAll");
          });
      }

      function mainFetchLoop(urlsToFetch) {
          if (urlsToFetch.length <= 1) {
              $("#progress_div").html('Downloading Care Central');
          } else {
              $("#downloading_view").show();
              $("#progress_div").html('Downloading encrypted profiles');
          }
          $("#cancel-button").show();


          if (urlsToFetch.length > 40) {
              var showString = "" + profilesToLoad + " profiles"
              if (profilesToLoad < 10) {
                  showString = "" + urlsToFetch.length + " files"
              }
              notifyWhenFinished = true;
              navigator.notification.alert("CareMonkey is downloading " + showString + " in the background.  Please allow this time to complete before exiting the App.  You can check progress by using sign-out above.");
          }

          cm_log("Starting download of all files");
          downloadFileByFile(urlsToFetch);
      }

      function downloadFileByFile(urlsToFetch) {
          uniqueProfileFilenames = {};

          var myLoopMain = setInterval(function () {
            if (profilesToLoad > 0) {
                drawszlider(100, itemsLoaded/itemsToLoad*100.0);
            } else {
                drawszlider(100, 0);
            }

            if (abortCode != 0) {
                clearInterval(myLoopMain);
                $("#force_reload").prop("checked", false); // turn off force-reload option as all data would have been erased now
                $('input[name="force-reload"]').bootstrapSwitch('state', false);
                if (abortCode == 120) {
                    Failure('Download aborted by user', false);
                } else {
                    Failure('Failure loading data, please try again later (code: ' + abortCode + ')', true);
                }
            } else if (currentlyFetching < parallelFetches && urlsToFetch.length > 0) {
                while (currentlyFetching < parallelFetches && urlsToFetch.length > 0) {
                    var u = urlsToFetch[0];
                    urlsToFetch = urlsToFetch.splice(1,urlsToFetch.length);
                    currentlyFetching += 1;
                    cm_log("processing " + u.file);
                    processFile(u.url, u.file, u.encrypt);
                }
                cm_log("Remaingin files=" + urlsToFetch.length);

            } else if (currentlyFetching == 0 && urlsToFetch.length == 0 && haveLoadedFreshCareCentral == true) {
                clearInterval(myLoopMain);
                window.localStorage.setItem("lastLoadedTime", parseInt((new Date).getTime() / 1000));
                currentlyLoading = false;

                var initialSite = getInitialSite();
                var callBack = function() {
                    loadingSpinner("off");
                    currentlyLoading = false;
                    if (notifyWhenFinished) {
                        navigator.notification.alert("CareMonkey has finished downloading.");
                        notifyWhenFinished = false;
                    }
                    allowedToSignin();
                    $("#status").text('All profiles downloaded for offline access');
                    $("#failure").text('');
                    $("#downloading_view").hide();
                    $("#cancel-button").hide();
                    $("#sf-links").show();
                };

                loadPage('login.html', callBack);
            } else {
                cm_log("waiting for care central to load");
            }
          }, 1000);
      }

      function goToSearchBox() {
          var callBack = function() {
              $("#search-box").focus();
          };
          loadPage(getCareCentralFullPath(), callBack);
      }

      function go(action) {
          if (ready) {
            $(".sf-links").hide();
            $("#saved_button").addClass("disabled");
            $("#login").addClass( "disabled");

            $('#aborting-text').html('');
            $("#progress_div").html('');
            $("#failure").html('');

            $("#progress_div").show();

            if (currentlyLoading) {
                $("#failure").text('Already loading data');
                notAllowedToSignin();
            } else {
                notAllowedToSignin();
                currentlyLoading = true;
                $.ajaxSetup({ cache: false });
                $("#status").text(''); // clear any old messages
                $("#failure").text('');

                var show_offline = false;
                if (action == 'saved') {
                  show_offline = true;
                }

                fetchingEmail = registeredEmail();

                if (phoneOnline() && show_offline == false) {
                    cachedHTML = {} // clear the cache
                    var initialSite = getInitialSite();
                    haveLoadedFreshCareCentral = false;
                    loadingOfflineMode = false;

                    var after_sign_in_callback = function() {
                        enter_edit_mode(initialSite);
                    };

                    loadData(initialSite, after_sign_in_callback);
                } else {
                    var code = enteredCode();
                    unencryptedCode = code;  // this is overwritten if using touch_id within codeCorrect()
                    loadingOfflineMode = true;
                    haveLoadedFreshCareCentral = true;
                    codeCorrect(code, function() {
                        jumpToCareCentral();
                        if (!phoneOnline() && show_offline == false) {
                            navigator.notification.alert("You do not appear to be connected to the Internet.  Viewing offline data.");
                        }
                    }, function() {
                        Failure('Code incorrect', false);
                    });
                }
            }
         }
      }

      function codeCorrect(code, good, bad) {
          if (registered_for_touch_id()) { // touch
              get_random_token_keychain(function(registered_code) {
                unencryptedCode = registered_code;
                window.plugins.touchid.verifyFingerprint("CareMonkey", good, bad);
              }, bad);

          } else { // non-touch
              if (using_keychain()) {
                  get_random_token_keychain(function(registered_code) {
                      if (code == registered_code) {
                          good();
                      } else {
                          bad();
                      }
                  }, function() {
                      Failure("Failed to read keychain");
                  });
              } else {
                  local_code = window.localStorage.getItem("registeredCode");
                  salt = window.localStorage.getItem("codeSalt");
                  new_code = salt + code
                  if (local_code == CryptoJS.SHA3(new_code)) {
                      good();
                  } else {
                      bad();
                  }
              }
          }
      }

      function setOnlineStatus() {
          if (phoneOnline()) {
              //$("#status").text('Online Mode');
          } else {
              //$("#status").text('Offline Mode');
          }
      }

      function setLoginButtonText() {
          if (validLastLoadedData() == true) {
              var lastLoadedTime = parseInt(window.localStorage.getItem("lastLoadedTime"));
              $(".offline_data").removeClass("no_offline_data");
              $("#last_sync_date").text(timeConverter(lastLoadedTime, false));
              $("#or_text").show();
              $("#last_sync_date_text").show();
          } else {
              $("#or_text").hide();
              $("#last_sync_date_text").hide();
          }
      }

      function padNumber(num, size) {
          var s = num+"";
          while (s.length < size) s = "0" + s;
          return s;
      }

      function timeConverter(UNIX_timestamp, time) {
        if (UNIX_timestamp == 0) {
          return '';
        } else {
          var a = new Date(UNIX_timestamp*1000);
          var months = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
          var year = a.getFullYear();
          var month = months[a.getMonth()];
          var date = a.getDate();
          var hour = a.getHours();
          var min = a.getMinutes();
          var sec = a.getSeconds();
          var time = date + ' ' + month + ' ' + year + ' '
          if (time == true) {
             time = time + padNumber(hour, 2) + ':' + padNumber(min, 2) + ':' + padNumber(sec, 2);
          }
          return time;
        }
      }

      function drawszlider(ossz, meik) {
        var szazalek=Math.round((meik*100)/ossz);
        document.getElementById("szliderbar").style.width = szazalek + '%';
        document.getElementById("szazalek").innerHTML = szazalek + '%';
      }

      var LZW = {
        compress: function (uncompressed) {
        "use strict";
        // Build the dictionary.
        var i,
            dictionary = {},
            c,
            wc,
            w = "",
            result = [],
            dictSize = 256;
        for (i = 0; i < 256; i += 1) {
            dictionary[String.fromCharCode(i)] = i;
        }

        for (i = 0; i < uncompressed.length; i += 1) {
            c = uncompressed.charAt(i);
            wc = w + c;
            //Do not use dictionary[wc] because javascript arrays
            //will return values for array['pop'], array['push'] etc
           // if (dictionary[wc]) {
            if (dictionary.hasOwnProperty(wc)) {
                w = wc;
            } else {
                result.push(dictionary[w]);
                // Add wc to the dictionary.
                dictionary[wc] = dictSize++;
                w = String(c);
            }
        }

        // Output the code for w.
        if (w !== "") {
            result.push(dictionary[w]);
        }
        return result;
    },


    decompress: function (compressed) {
        "use strict";
        // Build the dictionary.
        var i,
            dictionary = [],
            w,
            result,
            k,
            entry = "",
            dictSize = 256;
        for (i = 0; i < 256; i += 1) {
            dictionary[i] = String.fromCharCode(i);
        }

        w = String.fromCharCode(compressed[0]);
        result = w;
        for (i = 1; i < compressed.length; i += 1) {
            k = compressed[i];
            if (dictionary[k]) {
                entry = dictionary[k];
            } else {
                if (k === dictSize) {
                    entry = w + w.charAt(0);
                } else {
                    return null;
                }
            }

            result += entry;

            // Add w+entry[0] to the dictionary.
            dictionary[dictSize++] = w + entry.charAt(0);

            w = entry;
        }
        return result;
    }
};
